com.sun.mirror.util

## Class SimpleTypeVisitor

- java.lang.Object
- - com.sun.mirror.util.SimpleTypeVisitor

- All Implemented Interfaces:
    TypeVisitor

  Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. The replacement for the functionality of this class is `SimpleTypeVisitor6`.

      @Deprecated
      public class SimpleTypeVisitor
      extends Object
      implements TypeVisitor

  A simple visitor for types.

  The implementations of the methods of this class do nothing but delegate up the type hierarchy. A subclass should override the methods that correspond to the kinds of types on which it will operate.

  Since:
    1.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTypeVisitor()` Deprecated. Creates a new `SimpleTypeVisitor`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visitAnnotationType(AnnotationType t)` Deprecated. Visits an annotation type.
    `void` | `visitArrayType(ArrayType t)` Deprecated. Visits an array type.
    `void` | `visitClassType(ClassType t)` Deprecated. Visits a class type.
    `void` | `visitDeclaredType(DeclaredType t)` Deprecated. Visits a declared type.
    `void` | `visitEnumType(EnumType t)` Deprecated. Visits an enum type.
    `void` | `visitInterfaceType(InterfaceType t)` Deprecated. Visits an interface type.
    `void` | `visitPrimitiveType(PrimitiveType t)` Deprecated. Visits a primitive type.
    `void` | `visitReferenceType(ReferenceType t)` Deprecated. Visits a reference type.
    `void` | `visitTypeMirror(TypeMirror t)` Deprecated. Visits a type mirror.
    `void` | `visitTypeVariable(TypeVariable t)` Deprecated. Visits a type variable.
    `void` | `visitVoidType(VoidType t)` Deprecated. Visits a void type.
    `void` | `visitWildcardType(WildcardType t)` Deprecated. Visits a wildcard.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTypeVisitor

          public SimpleTypeVisitor()

      Deprecated.
      Creates a new `SimpleTypeVisitor`.

  - ### Method Detail

    - #### visitTypeMirror

          public void visitTypeMirror(TypeMirror t)

      Deprecated.
      Visits a type mirror. The implementation does nothing.
      Specified by:
        `visitTypeMirror` in interface `TypeVisitor`
      Parameters:
        `t` - the type to visit

    - #### visitPrimitiveType

          public void visitPrimitiveType(PrimitiveType t)

      Deprecated.
      Visits a primitive type. The implementation simply invokes `visitTypeMirror`.
      Specified by:
        `visitPrimitiveType` in interface `TypeVisitor`
      Parameters:
        `t` - the type to visit

    - #### visitVoidType

          public void visitVoidType(VoidType t)

      Deprecated.
      Visits a void type. The implementation simply invokes `visitTypeMirror`.
      Specified by:
        `visitVoidType` in interface `TypeVisitor`
      Parameters:
        `t` - the type to visit

    - #### visitReferenceType

          public void visitReferenceType(ReferenceType t)

      Deprecated.
      Visits a reference type. The implementation simply invokes `visitTypeMirror`.
      Specified by:
        `visitReferenceType` in interface `TypeVisitor`
      Parameters:
        `t` - the type to visit

    - #### visitDeclaredType

          public void visitDeclaredType(DeclaredType t)

      Deprecated.
      Visits a declared type. The implementation simply invokes `visitReferenceType`.
      Specified by:
        `visitDeclaredType` in interface `TypeVisitor`
      Parameters:
        `t` - the type to visit

    - #### visitClassType

          public void visitClassType(ClassType t)

      Deprecated.
      Visits a class type. The implementation simply invokes `visitDeclaredType`.
      Specified by:
        `visitClassType` in interface `TypeVisitor`
      Parameters:
        `t` - the type to visit

    - #### visitEnumType

          public void visitEnumType(EnumType t)

      Deprecated.
      Visits an enum type. The implementation simply invokes `visitClassType`.
      Specified by:
        `visitEnumType` in interface `TypeVisitor`
      Parameters:
        `t` - the type to visit

    - #### visitInterfaceType

          public void visitInterfaceType(InterfaceType t)

      Deprecated.
      Visits an interface type. The implementation simply invokes `visitDeclaredType`.
      Specified by:
        `visitInterfaceType` in interface `TypeVisitor`
      Parameters:
        `t` - the type to visit

    - #### visitAnnotationType

          public void visitAnnotationType(AnnotationType t)

      Deprecated.
      Visits an annotation type. The implementation simply invokes `visitInterfaceType`.
      Specified by:
        `visitAnnotationType` in interface `TypeVisitor`
      Parameters:
        `t` - the type to visit

    - #### visitArrayType

          public void visitArrayType(ArrayType t)

      Deprecated.
      Visits an array type. The implementation simply invokes `visitReferenceType`.
      Specified by:
        `visitArrayType` in interface `TypeVisitor`
      Parameters:
        `t` - the type to visit

    - #### visitTypeVariable

          public void visitTypeVariable(TypeVariable t)

      Deprecated.
      Visits a type variable. The implementation simply invokes `visitReferenceType`.
      Specified by:
        `visitTypeVariable` in interface `TypeVisitor`
      Parameters:
        `t` - the type to visit

    - #### visitWildcardType

          public void visitWildcardType(WildcardType t)

      Deprecated.
      Visits a wildcard. The implementation simply invokes `visitTypeMirror`.
      Specified by:
        `visitWildcardType` in interface `TypeVisitor`
      Parameters:
        `t` - the type to visit

Copyright © 2004, 2017, Oracle and/or its affiliates. All rights reserved.